#ifndef LIVEVIEW_H
#define LIVEVIEW_H

#include <QWidget>
#include <QImage>
#include <QString>

class LiveView : public QWidget
{
    Q_OBJECT
public:
    explicit LiveView(QWidget *parent = 0);
    ~LiveView();

    virtual int heightForWidth(int w) const;
    void saveImage( const QString& filename );

protected:
    void paintEvent(QPaintEvent *event);

signals:

public slots:
    void setData(uint8_t* data);

private:
    QImage image;
};

#endif // LIVEVIEW_H
